Bug 208559 - [or_IN] Some GSUB is showing wrong conjuctions in OOo
[or_IN] Some GSUB is showing wrong conjuctions in OOo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
: i18n
Depends On:
Blocks: 209083
  Show dependency treegraph
 
Reported: 2006-09-29 08:37 EDT by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: icu-3.6-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 02:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
made a tarball of the recent TC to facilitate your testing (414.47 KB, application/octet-stream)
2006-09-29 08:41 EDT, Lawrence Lim
no flags Details
is this wrong ? (1.62 KB, image/png)
2006-10-03 09:40 EDT, Caolan McNamara
no flags Details
patch to fix (1.71 KB, patch)
2006-10-03 09:48 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Lawrence Lim 2006-09-29 08:37:58 EDT
Description of problem:
We have tried to load our font TC under oowriter and noticed that more than 90%
of the font features for the or_IN cannot be rendered properly. :(

Version-Release number of selected component (if applicable):
openoffice.org-writer-2.0.4-4.2
libicu-3.6-1
fonts-oriya-2.0.4-1

How reproducible:
Always

Steps to Reproduce:
1.please load the font TC with oowriter and after installing the font package
2.
3.
  
Actual results:
actual font render dont match the image supplied

Expected results:
should render the same as the image

Additional info:
Will breakdown the list of failures when they have been prioritised to identify
which combination to fix first shortly.
Comment 1 Lawrence Lim 2006-09-29 08:41:06 EDT
Created attachment 137384 [details]
made a tarball of the recent TC to facilitate your testing
Comment 2 Leon Ho 2006-09-29 08:51:53 EDT
Here are some pango patches that may require to port to ICU:
GNOME#355697 : The IndicOTClassTable of Oriya has a error
RH#207456 : Pango does not render many below base and one post base form in Oriya

LingNing do you have more from your list?
Comment 3 Caolan McNamara 2006-10-03 09:38:24 EDT
the equivalent of GNOME#355697 already exists in icu 3.6

the patch from bug 207456 is sufficent to make all these work, except for no 65
:-( which looks different from the picture in my modified icu, or with pango
with RH#207456 applied.
Comment 4 Caolan McNamara 2006-10-03 09:40:49 EDT
Created attachment 137647 [details]
is this wrong ?

This is the one which is different
U+0B38 U+0B4D U+0B2E U+0B4D U+0B30 U+0B09
is this screenshot wrong ? It looks the same in OOo as in the patched pango.
Comment 5 Caolan McNamara 2006-10-03 09:48:51 EDT
Created attachment 137648 [details]
patch to fix

patch to date
Comment 8 Lawrence Lim 2006-10-05 02:55:22 EDT
Confirmed fixed with icu-3.6-5. Yay! :-)

TCE#65 has been updated with the correct unicode combination. Some images will
also be updated.

Note You need to log in before you can comment on or make changes to this bug.